Package org.eclipse.e4.ui.css.swt.dom.definition

# Class ColorDefinitionElement

java.lang.Object
org.eclipse.e4.ui.css.core.dom.ElementAdapter
org.eclipse.e4.ui.css.swt.dom.definition.ThemeDefinitionElement<org.eclipse.e4.ui.internal.css.swt.definition.IColorDefinitionOverridable>
org.eclipse.e4.ui.css.swt.dom.definition.ColorDefinitionElement

All Implemented Interfaces:
  `CSSStylableElement`, `Element`, `Node`

public class ColorDefinitionElement extends ThemeDefinitionElement<org.eclipse.e4.ui.internal.css.swt.definition.IColorDefinitionOverridable>

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.css.core.dom.ElementAdapter

`engine`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Constructor
Description
`ColorDefinitionElement(org.eclipse.e4.ui.internal.css.swt.definition.IColorDefinitionOverridable definition, CSSEngine engine)`

## Method Summary

### Methods inherited from class org.eclipse.e4.ui.css.swt.dom.definition.ThemeDefinitionElement

`getAttribute, getChildNodes, getCSSClass, getCSSId, getCSSStyle, getLocalName, getNamespaceURI, getParentNode`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.ElementAdapter

`addStaticPseudoInstance, appendChild, cloneNode, compareDocumentPosition, copyDefaultStyleDeclarations, dispose, doApplyStyles, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultStyleDeclaration, getElement, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNativeWidget, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getSchemaTypeInfo, getStaticPseudoInstances, getStyle, getTagName, getTextContent, getUserData, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, initialize, insertBefore, isDefaultNamespace, isEqualNode, isPseudoInstanceOf, isSameNode, isStaticPseudoInstance, isSupported, lookupNamespaceURI, lookupPrefix, normalize, onStylesApplied, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultStyleDeclaration, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorDefinitionElement

public ColorDefinitionElement(org.eclipse.e4.ui.internal.css.swt.definition.IColorDefinitionOverridable definition, CSSEngine engine)